VULKAN_HPP_NAMESPACE::PhysicalDeviceGroupProperties Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::PhysicalDeviceGroupProperties:
[legend]

## Public Member Functions

| operator VkPhysicalDeviceGroupProperties const & () const
| operator VkPhysicalDeviceGroupProperties & ()
bool | operator== (PhysicalDeviceGroupProperties const &rhs) const
bool | operator!= (PhysicalDeviceGroupProperties const &rhs) const

## Data Fields

void * | pNext = nullptr
uint32_t | physicalDeviceCount
PhysicalDevice | physicalDevices [VK_MAX_DEVICE_GROUP_SIZE]
Bool32 | subsetAllocation

## Private Attributes

StructureType | sType = StructureType::ePhysicalDeviceGroupProperties

## Detailed Description

Definition at line 47252 of file vulkan.hpp.

## Member Function Documentation

## operator VkPhysicalDeviceGroupProperties &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceGroupProperties::operator VkPhysicalDeviceGroupProperties & | ( |  | ) |

inline

Definition at line 47259 of file vulkan.hpp.

{
return *reinterpret_cast<VkPhysicalDeviceGroupProperties*>(this);
}

## operator VkPhysicalDeviceGroupProperties const &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceGroupProperties::operator VkPhysicalDeviceGroupProperties const & | ( |  | ) | const

inline

Definition at line 47254 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPhysicalDeviceGroupProperties*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceGroupProperties::operator!= | ( | PhysicalDeviceGroupProperties const & | rhs | ) | const

inline

Definition at line 47273 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceGroupProperties::operator== | ( | PhysicalDeviceGroupProperties const & | rhs | ) | const

inline

Definition at line 47264 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( physicalDeviceCount == rhs.physicalDeviceCount )
&& ( memcmp( physicalDevices, rhs.physicalDevices, VK_MAX_DEVICE_GROUP_SIZE * sizeof( PhysicalDevice ) ) == 0 )
&& ( subsetAllocation == rhs.subsetAllocation );
}

References physicalDeviceCount, physicalDevices, pNext, sType, subsetAllocation, and VK_MAX_DEVICE_GROUP_SIZE.

Referenced by operator!=().

## Field Documentation

## physicalDeviceCount

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceGroupProperties::physicalDeviceCount

Definition at line 47283 of file vulkan.hpp.

Referenced by operator==().

## physicalDevices

PhysicalDevice VULKAN_HPP_NAMESPACE::PhysicalDeviceGroupProperties::physicalDevices[VK_MAX_DEVICE_GROUP_SIZE]

Definition at line 47284 of file vulkan.hpp.

Referenced by operator==().

## pNext

void* VULKAN_HPP_NAMESPACE::PhysicalDeviceGroupProperties::pNext = nullptr

Definition at line 47282 of file vulkan.hpp.

Referenced by operator==().

## sType

StructureType VULKAN_HPP_NAMESPACE::PhysicalDeviceGroupProperties::sType = StructureType::ePhysicalDeviceGroupProperties

private

Definition at line 47279 of file vulkan.hpp.

Referenced by operator==().

## subsetAllocation

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceGroupProperties::subsetAllocation

Definition at line 47285 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VK_MAX_DEVICE_GROUP_SIZE
#define VK_MAX_DEVICE_GROUP_SIZE
Definition: vulkan_core.h:3795
VULKAN_HPP_NAMESPACE::PhysicalDeviceGroupProperties::physicalDeviceCount
uint32_t physicalDeviceCount
Definition: vulkan.hpp:47283
VULKAN_HPP_NAMESPACE::PhysicalDeviceGroupProperties::sType
StructureType sType
Definition: vulkan.hpp:47279
VULKAN_HPP_NAMESPACE::PhysicalDeviceGroupProperties::physicalDevices
PhysicalDevice physicalDevices[VK_MAX_DEVICE_GROUP_SIZE]
Definition: vulkan.hpp:47284
VULKAN_HPP_NAMESPACE::PhysicalDeviceGroupProperties::pNext
void * pNext
Definition: vulkan.hpp:47282
VULKAN_HPP_NAMESPACE::PhysicalDeviceGroupProperties::operator==
bool operator==(PhysicalDeviceGroupProperties const &rhs) const
Definition: vulkan.hpp:47264
VULKAN_HPP_NAMESPACE::PhysicalDeviceGroupProperties::subsetAllocation
Bool32 subsetAllocation
Definition: vulkan.hpp:47285
VkPhysicalDeviceGroupProperties
Definition: vulkan_core.h:4105